## Class TMetaTagCollection

Description

TMetaTagCollection class

TMetaTagCollection represents a collection of meta tags contained in a THead control.

- since: 3.0
- version: $Id: THead.php 1509 2006-11-25 20:51:43Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/THead.php (line 328)

    TComponent
       |
       --TList
          |
          --TMetaTagCollection

Method Summary
integer findIndexByID (string $id)
TMetaTag findMetaTagByID (string $id)
void insertAt (integer $index, mixed $item)
Methods
findIndexByID (line 351)

Finds the lowest cardinal index of the meta tag whose id is the one being looked for.

- return: the index of the meta tag found, -1 if not found.
- access: public

integer findIndexByID (string $id)

- string $id: the ID of the meta tag to be looked for

findMetaTagByID (line 368)

Finds the item whose value is the one being looked for.

- return: the meta tag found, null if not found.
- access: public

TMetaTag findMetaTagByID (string $id)

- string $id: the id of the meta tag to be looked for

insertAt (line 338)

Inserts an item at the specified position.

This overrides the parent implementation by performing type check on the item being added.

- access: public
- throws: TInvalidDataTypeException if the item to be inserted is not a TMetaTag

void insertAt (integer $index, mixed $item)

- integer $index: the speicified position.
- mixed $item: new item

Redefinition of:

TList::insertAt()
  Inserts an item at the specified position.

#### Inherited Methods

Inherited From TList

> TList::__construct()
> TList::add()
> TList::clear()
> TList::contains()
> TList::copyFrom()
> TList::count()
> TList::getCount()
> TList::getIterator()
> TList::getReadOnly()
> TList::indexOf()
> TList::insertAt()
> TList::itemAt()
> TList::mergeWith()
> TList::offsetExists()
> TList::offsetGet()
> TList::offsetSet()
> TList::offsetUnset()
> TList::remove()
> TList::removeAt()
> TList::setReadOnly()
> TList::toArray()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:05 -0400 by phpDocumentor 1.3.0RC4